## com.imcode.imcms.test.external
Class TestSMTP

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.imcode.imcms.test.external.TestSMTP

All Implemented Interfaces:
  junit.framework.Test

    public class TestSMTP

extends junit.framework.TestCase

Constructor Summary
`TestSMTP()`

Method Summary
`void` `setUp()`
`void` `testAttachment()`
`void` `testHtml()`
`void` `testSendBccGroupMail()`
`void` `testSendGroupMail()`
`void` `testSendMail()`
`void` `testSendMailBcc()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestSMTP

    public TestSMTP()

Method Detail

### setUp

    public void setUp()
               throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### testSendMail

    public void testSendMail()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### testSendMailBcc

    public void testSendMailBcc()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### testSendGroupMail

    public void testSendGroupMail()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### testSendBccGroupMail

    public void testSendBccGroupMail()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### testAttachment

    public void testAttachment()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### testHtml

    public void testHtml()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`